# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /Users/ec2-user/aggregate/tensorflow_recipes/tensorboard, last modified Mon May  8 17:21:29 2023
# ------------------------------------------------

package:
  name: tensorboard
  version: 2.12.1
source:
  sha256: 58f1c2a25b4829b9c48d2b1ec951dedc9325dcd1ea4b0f601d241d2887d0ed65
  url: https://pypi.io/packages/py3/t/tensorboard/tensorboard-2.12.1-py3-none-any.whl
build:
  entry_points:
    - tensorboard = tensorboard.main:run_main
  number: '0'
  script:
    - python -m pip install --no-deps --ignore-installed ./tensorboard-2.12.1-py3-none-any.whl
  string: py39_0
requirements:
  host:
    - ca-certificates 2023.01.10 hecd8cb5_0
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.2 hecd8cb5_6
    - ncurses 6.4 hcec6c5f_0
    - openssl 1.1.1t hca72f7f_0
    - pip 23.0.1 py39hecd8cb5_0
    - python 3.9.16 h218abb5_2
    - readline 8.2 hca72f7f_0
    - setuptools 66.0.0 py39hecd8cb5_0
    - sqlite 3.41.2 h6c40b1e_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py39hecd8cb5_0
    - xz 5.4.2 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
  run:
    - absl-py >=0.4
    - google-auth >=1.6.3,<3
    - google-auth-oauthlib >=0.4.1,<1.1
    - grpcio >=1.48.2
    - markdown >=2.6.8
    - numpy >=1.12.0
    - protobuf >=3.19.6
    - python >=3.9,<3.10.0a0
    - requests >=2.21.0,<3
    - setuptools >=41.0.0
    - tensorboard-data-server >=0.7.0,<0.8.0
    - tensorboard-plugin-wit >=1.6.0
    - werkzeug >=1.0.1
    - wheel >=0.26
test:
  commands:
    - tensorboard -h
  imports:
    - tensorboard
about:
  dev_url: https://github.com/tensorflow/tensorboard
  doc_url: https://www.tensorflow.org/tensorboard/get_started
  home: https://www.tensorflow.org/tensorboard
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: TensorFlow's Visualization Toolkit
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - farhantejani
    - gilbertfrancois
    - jschueller
    - mdraw
    - sdvillal
